Bug 1695698 - Compiler toolsets release note
Summary: Compiler toolsets release note
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: doc-Release_Notes-8-en-US
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Ioanna Gkioka
QA Contact: RHEL DPM
Vladimír Slávik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 15:42 UTC by Lenka Špačková
Modified: 2019-05-17 06:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.Compiler toolsets in RHEL 8 RHEL 8.0 provides the following compiler toolsets as Application Streams: * Clang and LLVM Toolset 7.0.1, which provides the LLVM compiler infrastructure framework, the Clang compiler for the C and C++ languages, the LLDB debugger, and related tools for code analysis. See the link:https://access.redhat.com/documentation/en-us/red_hat_developer_tools/2019.1/html/using_clang_and_llvm_toolset/index[Using Clang and LLVM Toolset] document. * Rust Toolset 1.31, which provides the Rust programming language compiler `rustc`, the `cargo` build tool and dependency manager, the `cargo-vendor` plugin, and required libraries. See the link:https://access.redhat.com/documentation/en-us/red_hat_developer_tools/2019.1/html/using_rust_toolset/index[Using Rust Toolset] document. * Go Toolset 1.11.5, which provides the Go programming language tools and libraries. Go is alternatively known as `golang`. See the link:https://access.redhat.com/documentation/en-us/red_hat_developer_tools/2019.1/html/using_go_toolset/index[Using Go Toolset] document.
Clone Of:
Environment:
Last Closed: 2019-05-16 18:54:14 UTC
Type: Bug


Attachments (Terms of Use)


Note You need to log in before you can comment on or make changes to this bug.